### Property

# Gtk CellRendererText:max-width-chars

#### Declaration

    property max-width-chars: int [ read, write ]

#### Description [src]

The desired maximum width of the cell, in characters. If this property is set to -1, the width will be calculated automatically.

For cell renderers that ellipsize or wrap text; this property controls the maximum reported width of the cell. The cell should not receive any greater allocation unless it is set to expand in its `GtkCellLayout` and all of the cell’s siblings have received their natural width.

Type: | `gint`

Default value | -1

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no